Home / SIP core: messages, transactions, dialogs / Roles a trace is actually showing
Roles a trace is actually showing
A trace shows a user agent, a proxy, a registrar, a redirect server, or a B2BUA, and products often combine those roles.
Learn in 5 minutes
- Separate UAC and UAS from the box name
- Predict what a redirect server leaves behind
- Recognize a B2BUA by the second dialog
Visual
The location service is a database the proxy consults. It is not a request method.
Worked example
Who is still on the ladder? After the ACK of the 302, which role is finished?
- Step through the 302 and its ACK.
- Start the second INVITE.
- Name the role that does not appear again.
Fault
The ladder is documented as a pure proxy, but the outgoing INVITE has a different Call-ID and a different From tag.
A proxy preserves Call-ID, From tag, and To tag. A new Call-ID means a new dialog created by a UAC inside a B2BUA.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
Workforce management WFM forecasts volume and builds schedules. It consumes contact-center events. It does not parse Via headers. When a forecast is wrong, the SIP symptom is usually queue delay and 480 or carrier congestion, not a broken dialog ID.
Sources and go deeper
- RFC 3261 — last checked 2026-10
- RFC 3261 §16 — last checked 2026-10
- RFC 3261 §8 — last checked 2026-10
- RFC 3261 §10 — last checked 2026-10
- RFC 7092 — last checked 2026-10
- RFC 5853 — last checked 2026-10